#import "ViewController.h"

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    _data = [self createChartData];
    
    _dsh = [[IGOHLCSeriesDataSourceHelper alloc]initWithData:_data openPath:@"open" highPath:@"high" lowPath:@"low" andClosePath:@"close"];
    
    _chart = [[IGChartView alloc]initWithFrame:self.view.frame];
    
    _series = (IGFinancialPriceSeries*)[_chart addSeriesForType:[IGFinancialPriceSeries class] usingKey:@"series" withDataSource:_dsh firstAxisKey:@"x" secondAxisKey:@"y"];
    
    _series.outline = [[IGBrush alloc]initWithColor:[UIColor darkGrayColor]];
    _series.thickness = 3;
    
    _series.yAxis.minimum = 0;
    _series.yAxis.maximum = 100;

    
    [self.view addSubview:_chart];
}

-(NSArray*)createChartData
{
    NSMutableArray *array = [[NSMutableArray alloc]init];
    for (int i=0; i<15; i++)
    {
        ChartData *obj = [[ChartData alloc]init];
        obj.low = arc4random()%20 + 5;
        obj.high = arc4random()%10 + 50;
        obj.open = arc4random()%25 + 25;
        obj.close = arc4random()%25 + 25;
        [array addObject:obj];
    }
    return array;
}
@end

@implementation ChartData
@end